version: '3'

services:
  nginx:
    image: nginx:stable-alpine-slim
    restart: unless-stopped
    ports:
      - "443:443"
    volumes:
      - ./server/nginx.conf:/etc/nginx/nginx.conf
      - ./server/localhost.crt:/ssl/localhost.crt
      - ./server/localhost.key:/ssl/localhost.key

  plugin:
    build: .
    volumes:
      - ./:/app